- Main Page
- Related Pages
- Modules
- Data Structures
- Files
- Examples

Typedefs | Enumerations
Eet Compression Levels
Eet

Compression modes/levels supported by Eet. More...

## Typedefs
typedef enum _Eet_Compression | Eet_Compression
| Eet compression modes. More...

## Enumerations
enum | _Eet_Compression { EET_COMPRESSION_NONE = 0, EET_COMPRESSION_DEFAULT = 1, EET_COMPRESSION_LOW = 2, EET_COMPRESSION_MED = 6, EET_COMPRESSION_HI = 9, EET_COMPRESSION_VERYFAST = 10, EET_COMPRESSION_SUPERFAST = 11, EET_COMPRESSION_LOW2 = 3, EET_COMPRESSION_MED1 = 4, EET_COMPRESSION_MED2 = 5, EET_COMPRESSION_HI1 = 7, EET_COMPRESSION_HI2 = 8 }
| All the compression modes known by Eet. More...

## Detailed Description

Compression modes/levels supported by Eet.

## Typedef Documentation

typedef enum _Eet_Compression Eet_Compression

Eet compression modes.

Since
  1.7

## Enumeration Type Documentation

enum _Eet_Compression

All the compression modes known by Eet.

Enumerator
EET_COMPRESSION_NONE | No compression at all. Since 1.7
EET_COMPRESSION_DEFAULT | Default compression (Zlib) Since 1.7
EET_COMPRESSION_LOW | Fast but minimal compression (Zlib) Since 1.7
EET_COMPRESSION_MED | Medium compression level (Zlib) Since 1.7
EET_COMPRESSION_HI | Slow but high compression level (Zlib) Since 1.7
EET_COMPRESSION_VERYFAST | Very fast, but lower compression ratio (LZ4HC) Since 1.7
EET_COMPRESSION_SUPERFAST | Very fast, but lower compression ratio (faster to compress than EET_COMPRESSION_VERYFAST) (LZ4) Since 1.7
EET_COMPRESSION_LOW2 | Space filler for compatibility. Don't use it Since 1.7
EET_COMPRESSION_MED1 | Space filler for compatibility. Don't use it Since 1.7
EET_COMPRESSION_MED2 | Space filler for compatibility. Don't use it Since 1.7
EET_COMPRESSION_HI1 | Space filler for compatibility. Don't use it Since 1.7
EET_COMPRESSION_HI2 | Space filler for compatibility. Don't use it Since 1.7